XMUPAD(1)

NAME
xmupad - graphical front end to mupad

SYNOPSIS
xmupad [ -L language ] [ mupad-options ]

DESCRIPTION
A session of the computer algebra system MuPAD running under the X Window System (with the look and feel of OpenLook) is started by the command xmupad. Note that xmupad is only a shell script which in turn starts mupad and a graphical front end. One may also start mupad directly as a stand-alone terminal session for MuPAD, see mupad(1). In-depth information about MuPAD and the MuPAD programming language can be found in the MuPAD Reference Manual.

In order to start xmupad you must have the X Window System available on your computer system. You may run xmupad on a remote computer on the network, but don't forget to allow for foreign X clients and to set the DISPLAY environment variable correctly (see X(1) and xhost(1)). Please ask your system administrator if you have any questions concerning X Windows.

The MuPAD system consists of many different files, for example library files, help files etc. In order to find all these files, xmupad uses the environment variable MuPAD_ROOT_PATH. You must set this environment variable correctly (in your .login or .cshrc for example) if you want to use xmupad. Please ask your system administrator which is the correct value of MuPAD_ROOT_PATH in your computing environment. It is also a good idea to add $MuPAD_ROOT_PATH/share/bin to your command search path (which is given by one of the environment variables path or PATH). You may further want to add $MuPAD_ROOT_PATH/share/manual to the MANPATH environment variable in order to make the MuPAD manual pages available.

When mupad is started some init files are executed, which may be changed according to local needs. See mupad(1) for additional informations.

OPTIONS
Only the following option -L is specific to xmupad, any other option or parameter is handled to mupad.

-L language
    Language of help pages. Defines the language in which the help pages of the MuPAD help system are displayed. Up to now only german and english help pages are available. English help pages are displayed per default.

ENVIRONMENT
The environment variable MuPAD_ROOT_PATH must be set to the root directory of the MuPAD installation in order to run xmupad.

SEE ALSO
mupad(1), mdx(1), X(1), MuPAD Reference Manual

DIAGNOSTICS

Use the MuPAD help system (ie. the commands ? or help) to obtain further informations about MuPAD.